Actualizar alerta (geo constant)
curl --request PUT \
--url https://community.goil.app/api/v1/external/alert/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"accountTypeId": "<string>",
"location": {
"latitude": 123,
"longitude": 123,
"accuracy": 0
},
"closed": 123
}
'import requests
url = "https://community.goil.app/api/v1/external/alert/{id}"
payload = {
"accountId": "<string>",
"accountTypeId": "<string>",
"location": {
"latitude": 123,
"longitude": 123,
"accuracy": 0
},
"closed": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
accountTypeId: '<string>',
location: {latitude: 123, longitude: 123, accuracy: 0},
closed: 123
})
};
fetch('https://community.goil.app/api/v1/external/alert/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": 123,
"error": "<string>",
"data": {}
}{
"timestamp": 123,
"error": "<string>",
"data": {}
}Alert
Actualizar alerta (geo constant)
Actualiza ubicación/estado de una alerta. Requiere Bearer + x-client-id.
PUT
/
alert
/
{id}
Actualizar alerta (geo constant)
Authorizations
BearerAuthApiKeyClient
Token obtenido de POST /authentication/login (para alertas)
Path Parameters
ID de la alerta
Body
application/json
Response
OK
